Bug 582866 - Window side edges tear when moved horizontally
Window side edges tear when moved horizontally
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-15 22:06 EDT by Ronald L Humble
Modified: 2011-06-27 11:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:37:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (w/o drm.debug=15) Xorg.0.log.gz Xorg.1.log.gz (70.00 KB, application/x-tar)
2010-04-15 22:06 EDT, Ronald L Humble
no flags Details
Screen shot of tearing (146.96 KB, image/png)
2011-01-05 11:45 EST, Blake Lewis
no flags Details

  None (edit)
Description Ronald L Humble 2010-04-15 22:06:56 EDT
Created attachment 406971 [details]
dmesg  (w/o drm.debug=15) Xorg.0.log.gz  Xorg.1.log.gz

Description of problem: Both sides of a moving window tear when moved horizontally faster than about 20mm/sec. Width of tears proportional to window movement speed, maximizing at about 5mm. It is similar to a bar graph with a single bar on each edge; with perhaps three overlapping bars elongating upward as window moved, elongation always upward. Could take a camera movie if necessary. Window's four edges at all times smooth. Top/bottom edges always correct. Konsole, gnome terminal, firefox; all windows seem impacted. With compositing manager on or off in Gnome. Dialog boxes (such as closing PySolFC) do not seem affected though size and smoothness of the dialog may hinder observation.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.i686
kernel 2.6.33.2-43.fc13.i686

How reproducible:


Steps to Reproduce:
1. Move a window with a horizontal component to motion when using the nouveau driver.
2.
3.
  
Actual results:
As above

Expected results:
No graphic artifacts when a window is moved.

Additional info: Fully patched Branch desktop on (100416:02 UTC); upgraded from F11 using preupgrade. No xorg.conf file present. Test results posted to Test_Day:2010-04-13_Nouveau.
Comment 1 Bug Zapper 2010-07-30 07:22:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ben Skeggs 2010-09-03 02:47:28 EDT
I presume the tearing doesn't persist (ie. you see it temporarily, then it disappears)?
Comment 3 Ronald L Humble 2010-09-11 09:12:23 EDT
Ben
Yes, occurs only when moving a window horizontally. It has actually improved quite a bit on latest release (0.0.16-8.20100423git13c1043.fc13) and perhaps not an issue anymore. It is now most noticable with windows having a scroll bar (although occurs all windows and on both sides). It is really just the sides, body of window is fine. Again, I could take a movie if you desire. I have f14 and will check on that OS and report.
Comment 4 Ben Skeggs 2010-09-12 18:46:40 EDT
Without seeing how this looks in person, it's hard to tell if this is a bug.  Seeing some amount of "tearing" is expected (especially without a composite manager) as there's no way to avoid a small delay between copying the original contents to somewhere new, and redrawing the background/whatever in the previous window position.

The faster your GPU is, the less likely it is you'll notice this.
Comment 5 Adam Williamson 2010-10-07 14:50:31 EDT
Ron: sounds like a video might be a good idea.
Comment 6 Blake Lewis 2011-01-05 11:44:12 EST
    On current Fedora 14 I have the tearing problem.
    Added tearing.png.
    The window corrupts. A short time with google-chrome, 2-3 seconds and with gnome-terminal until force redraw by resizing window or ctrl-l. ctrl-l does not redraw the window frame.
    Any movement other than very slow will produce effect. Very slow movement when dragging to second monitor will produce effect.

    Other issues that may be related:
I start X from init 3 with startx.
If I exit X key board input and locks up with background on screen.
If I ctrl-alt-f1 and ctrl-c I can take the machine down normally, but if I ctrl-alt-f7 I no longer have keyboard input and have a blank screen.

I also have the missing mouse pointer issue, but not for a week or so and then only with dual head. One head has pointer and other head does not. In clone mode same issue.
Comment 7 Blake Lewis 2011-01-05 11:45:43 EST
Created attachment 471905 [details]
Screen shot of tearing
Comment 8 Blake Lewis 2011-01-05 14:52:09 EST
Um, I can move a window to the right as fast as I want with no tearing. Only moving to the left corrupts/tears.
Comment 9 Ben Skeggs 2011-01-05 17:32:07 EST
(In reply to comment #8)
> Um, I can move a window to the right as fast as I want with no tearing. Only
> moving to the left corrupts/tears.

I believe this is likely a completely different bug.
Comment 10 Bug Zapper 2011-06-02 11:16:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 11:37:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.